com.informix.jdbc

## Interface PreparedStatement2

All Superinterfaces:
  java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

All Known Implementing Classes:
  IfxCallableStatement, IfxPreparedStatement

    public interface PreparedStatement2
    extends java.sql.PreparedStatement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

Methods
`void` `addBatch()`
`java.sql.ResultSetMetaData` `getMetaData()`
`void` `setArray(int i, java.sql.Array x)`
`void` `setBlob(int i, java.sql.Blob x)`
`void` `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)`
`void` `setClob(int i, java.sql.Clob x)`
`void` `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)`
`void` `setNull(int i, int sqlType, java.lang.String sqlTypeName)`
`void` `setRef(int i, java.sql.Ref x)`
`void` `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)`
`void` `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)`

### Methods inherited from interface java.sql.PreparedStatement

`clearParameters, execute, executeQuery, executeUpdate, getParameterMetaData, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setClob, setClob, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setObject, setObject, setObject, setRowId, setShort, setSQLXML, setString, setTime, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### addBatch

    void addBatch()
                  throws java.sql.SQLException

Specified by:
  `addBatch` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    void setCharacterStream(int parameterIndex,
                          java.io.Reader reader,
                          int length)
                            throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setRef

    void setRef(int i,
              java.sql.Ref x)
                throws java.sql.SQLException

Specified by:
  `setRef` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    void setBlob(int i,
               java.sql.Blob x)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    void setClob(int i,
               java.sql.Clob x)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setArray

    void setArray(int i,
                java.sql.Array x)
                  throws java.sql.SQLException

Specified by:
  `setArray` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### getMetaData

    java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setDate

    void setDate(int parameterIndex,
               java.sql.Date x,
               java.util.Calendar cal)
                 throws java.sql.SQLException

Specified by:
  `setDate` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setTime

    void setTime(int parameterIndex,
               java.sql.Time x,
               java.util.Calendar cal)
                 throws java.sql.SQLException

Specified by:
  `setTime` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setTimestamp

    void setTimestamp(int parameterIndex,
                    java.sql.Timestamp x,
                    java.util.Calendar cal)
                      throws java.sql.SQLException

Specified by:
  `setTimestamp` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNull

    void setNull(int i,
               int sqlType,
               java.lang.String sqlTypeName)
                 throws java.sql.SQLException

Specified by:
  `setNull` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`